## org.mariadb.jdbc.internal.com.send.parameters
Class ByteParameter

    java.lang.Object
      org.mariadb.jdbc.internal.com.send.parameters.ByteParameter

All Implemented Interfaces:
  Cloneable, ParameterHolder

    public class ByteParameter

extends Object
implements Cloneable, ParameterHolder

Field Summary

Fields inherited from interface org.mariadb.jdbc.internal.com.send.parameters.ParameterHolder
`BINARY_INTRODUCER, QUOTE`

Constructor Summary
`ByteParameter(byte value)`

Method Summary
`long` `getApproximateTextProtocolLength()`
`ColumnType` `getColumnType()`
`boolean` `isLongData()`
`boolean` `isNullData()`
`String` `toString()`
`void` `writeBinary(PacketOutputStream pos)` Write data to socket in binary format.
`void` `writeTo(PacketOutputStream os)` Write parameter value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteParameter

    public ByteParameter(byte value)

Method Detail

### writeTo

    public void writeTo(PacketOutputStream os)
                 throws IOException

  Description copied from interface: `ParameterHolder`
  Write parameter value.

  Specified by:
    `writeTo` in interface `ParameterHolder`
  Parameters:
    `os` - the stream to write to
  Throws:
    `IOException` - when something goes wrong

### getApproximateTextProtocolLength

    public long getApproximateTextProtocolLength()

  Specified by:
    `getApproximateTextProtocolLength` in interface `ParameterHolder`

### writeBinary

    public void writeBinary(PacketOutputStream pos)
                     throws IOException

  Write data to socket in binary format.

  Specified by:
    `writeBinary` in interface `ParameterHolder`
  Parameters:
    `pos` - socket output stream
  Throws:
    `IOException` - if socket error occur

### getColumnType

    public ColumnType getColumnType()

  Specified by:
    `getColumnType` in interface `ParameterHolder`

### toString

    public String toString()

  Specified by:
    `toString` in interface `ParameterHolder`
  Overrides:
    `toString` in class `Object`

### isNullData

    public boolean isNullData()

  Specified by:
    `isNullData` in interface `ParameterHolder`

### isLongData

    public boolean isLongData()

  Specified by:
    `isLongData` in interface `ParameterHolder`

Copyright © 2017. All rights reserved.